switch {
  display: inline-block;
  background-color: var(--switch-background);
  border: 1px solid var(--switch-border);
  border-radius: var(--size-base-0-75);
  box-sizing: content-box;
  cursor: pointer;
  height: var(--size-base-1-5);
  transition: background-color 200ms;
  width: var(--size-base-3);

  > .knob {
    background-color: var(--switch-knob);
    border: 1px solid var(--switch-border);
    border-radius: var(--size-base-0-75);
    box-sizing: content-box;
    height: var(--size-base-1-5);
    margin-left: -1px;
    margin-top: -1px;
    transition: margin-left 200ms;
    width: var(--size-base-1-5);
  }

  &.enabled {
    background-color: var(--switch-background-enabled);

    > .knob {
      margin-left: calc(var(--size-base-1-5) - 1px);

    }
  }
}
